# evennia.server.portal.mxp

MXP - Mud eXtension Protocol.

Partial implementation of the MXP protocol. The MXP protocol allows more advanced formatting options for telnet clients that supports it (mudlet, zmud, mushclient are a few)

This only implements the SEND tag.

More information can be found on the following links: http://www.zuggsoft.com/zmud/mxp.htm http://www.mushclient.com/mushclient/mxp.htm http://www.gammon.com.au/mushclient/addingservermxp.htm

`evennia.server.portal.mxp.``mxp_parse`(text)

  Replaces links to the correct format for MXP.

  Parameters

    text (str) – The text to parse.

  Returns

    parsed (str) – The parsed text.

class `evennia.server.portal.mxp.``Mxp`(protocol)

  Bases: `object`

  Implements the MXP protocol.

  `__init__`(protocol)

    Initializes the protocol by checking if the client supports it.

    Parameters

      protocol (Protocol) – The active protocol instance.

  `no_mxp`(option)

    Called when the Client reports to not support MXP.

    Parameters

      option (Option) – Not used.

  `do_mxp`(option)

    Called when the Client reports to support MXP.

    Parameters

      option (Option) – Not used.